Skip to main content
Security & Audit/Security

ListAnhengCapabilitySpecs

List Anheng capability spec candidates. Real AH module/list integration is a later adapter story.

GET/api/v1/security/anheng/capabilities/{capabilityCode}/specs

Operation ID

ListAnhengCapabilitySpecs

Since

1.2.8

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • capabilityCode
    StringRequired

    Unique code of the Anheng capability

Query Parameters

  • limit
    Integer

    Maximum number of records to return

    Example: 0

  • offset
    Integer

    Number of records to skip before returning results

    Example: 0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • specCode
      String

      Spec code for this resource

      Example: value

    • displayName
      String

      Display name for this resource

      Example: value

    • description
      String

      Description for this resource

      Example: A brief description

    • ecsInstanceInfo
      Object

      Ecs instance info for this resource

      • cpuNum
        Integer

        Cpu num for this resource

        Example: 10

      • memoryBytes
        String

        Memory bytes for this resource

        Example: 10

      • rootDiskBytes
        String

        Root disk bytes for this resource

        Example: 10

      • dataDiskBytes
        List

        Data disk bytes for this resource

        Example: item1,item2

    • vmPlanTemplate
      Object

      Vm plan template for this resource

      • role
        String

        Role assigned to this virtual machine

        Example: value

      • cpuNum
        Integer

        Cpu num for this resource

        Example: 10

      • memoryBytes
        String

        Memory bytes for this resource

        Example: 10

      • rootDiskBytes
        String

        Root disk bytes for this resource

        Example: 10

      • dataDiskBytes
        List

        Data disk bytes for this resource

        Example: item1,item2

      • l3NetworkUuid
        String

        L3 network uuid for this resource

        Example: value

      • imageArtifactId
        String

        Image artifact id for this resource

        Example: value

    • quotaItemsSchema
      List

      Quota items schema for this resource

      Example: (nested array)

      • quotaItemCode
        String

        Quota item code for this resource

        Example: value

      • displayName
        String

        Display name for this resource

        Example: value

      • valueType
        String

        Value type for this resource

        Example: value

      • value
        String

        Value for this resource

        Example: value

      • required
        Boolean

        Required for this resource

        Example: true

      • defaultValue
        String

        Default value for this resource

        Example: value

      • min
        String

        Minimum value allowed by this quota

        Example: 10

      • max
        String

        Maximum value allowed by this quota

        Example: 10

      • unit
        String

        Measurement unit used by this quota

        Example: value

  • total
    Integer

    Total for this resource

    Example: 10

  • limit
    Integer

    Limit for this resource

    Example: 10

  • offset
    Integer

    Offset for this resource

    Example: 10